Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class SessionBeanTypeImplTestCase

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar31.SessionBeanTypeImplTestCase

    public class SessionBeanTypeImplTestCase

extends java.lang.Object

Constructor Summary
`SessionBeanTypeImplTestCase()`

Method Summary
`void` | `testAfterBeginMethod()`
`void` | `testAfterCompletionMethod()`
`void` | `testAroundInvoke()`
`void` | `testAroundTimeout()`
`void` | `testAsyncMethod()`
`void` | `testBeforeCompletionMethod()`
`void` | `testBusinessLocal()`
`void` | `testBusinessRemote()`
`void` | `testConcurrencyManagementType()`
`void` | `testConcurrentMethod()`
`void` | `testDependsOn()`
`void` | `testEjbClass()`
`void` | `testEjbName()`
`void` | `testHome()`
`void` | `testInitMethod()`
`void` | `testInitOnStartup()`
`void` | `testLocal()`
`void` | `testLocalBean()`
`void` | `testLocalHome()`
`void` | `testMappedName()`
`void` | `testPostActivate()`
`void` | `testPrePassivate()`
`void` | `testRemote()`
`void` | `testRemoveMethod()`
`void` | `testSecurityIdentity()`
`void` | `testSecurityRoleRef()`
`void` | `testServiceEndpoint()`
`void` | `testSessionType()`
`void` | `testStatefulTimeout()`
`void` | `testTimeoutMethod()`
`void` | `testTimer()`
`void` | `testTransactionType()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionBeanTypeImplTestCase

    public SessionBeanTypeImplTestCase()

Method Detail

### testEjbName

    public void testEjbName()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMappedName

    public void testMappedName()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testHome

    public void testHome()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testRemote

    public void testRemote()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLocalHome

    public void testLocalHome()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLocal

    public void testLocal()
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBusinessLocal

    public void testBusinessLocal()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBusinessRemote

    public void testBusinessRemote()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLocalBean

    public void testLocalBean()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testServiceEndpoint

    public void testServiceEndpoint()
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEjbClass

    public void testEjbClass()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSessionType

    public void testSessionType()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testStatefulTimeout

    public void testStatefulTimeout()
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testTimeoutMethod

    public void testTimeoutMethod()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testTimer

    public void testTimer()
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testInitOnStartup

    public void testInitOnStartup()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testConcurrencyManagementType

    public void testConcurrencyManagementType()
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testConcurrentMethod

    public void testConcurrentMethod()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testDependsOn

    public void testDependsOn()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testInitMethod

    public void testInitMethod()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testRemoveMethod

    public void testRemoveMethod()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testAsyncMethod

    public void testAsyncMethod()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testTransactionType

    public void testTransactionType()
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testAfterBeginMethod

    public void testAfterBeginMethod()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBeforeCompletionMethod

    public void testBeforeCompletionMethod()
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testAfterCompletionMethod

    public void testAfterCompletionMethod()
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testAroundInvoke

    public void testAroundInvoke()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testAroundTimeout

    public void testAroundTimeout()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPostActivate

    public void testPostActivate()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPrePassivate

    public void testPrePassivate()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSecurityRoleRef

    public void testSecurityRoleRef()
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSecurityIdentity

    public void testSecurityIdentity()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD